// Arduino a LCD diplej 16x2 s I2C zbernicou

#include <Wire.h>  // Štandardná knižnica I2C, netreba inštalovať
#include <LiquidCrystal_I2C.h>  // Knižnica "LiquidCrystal I2C" pre prácu s displejom
 
LiquidCrystal_I2C lcd(0x27,16,2);  // nastavenie adresy (0x3F), staršie modely displejov mali 0x27 !!!
                                   // 16 = počet znakov v riadku, 2 = počet riadkov
 
void setup()
{
  lcd.init();                      // initializácia displeja
  lcd.backlight();                 // zapnutie podsvietenia
}
 
void loop()
{
  lcd.setCursor ( 0, 0 ); //začiatok nultého riadku
  lcd.print("Pocet sekund:    ");
  lcd.setCursor ( 0, 1 );  //začiatok prvého riadku
  lcd.print("                "); //vymazať obsah riadku
  lcd.setCursor ( 0, 1 );  //opat začiatok prvého riadku
  lcd.print(millis()/1000); //počet sekúnd behu programu
  delay(100); //chvíľu počkáme, nech diplej stále nebliká
}
